# module Crystal::EventLoop

## Defined in:

## Class Method Summary

- .after_fork
- .create_dns_request(nodename, servname, hints, data, &callback : LibEvent2::DnsGetAddrinfoCallback)
- .create_fd_read_event(io : IO::Evented, edge_triggered : Bool = false)
- .create_fd_write_event(io : IO::Evented, edge_triggered : Bool = false)
- .create_resume_event(fiber)
- .resume

## Class Method Detail

def self.after_fork #
def self.create_dns_request(nodename, servname, hints, data, &callback : LibEvent2::DnsGetAddrinfoCallback) #
def self.create_fd_read_event(io : IO::Evented, edge_triggered : Bool = false) #
def self.create_fd_write_event(io : IO::Evented, edge_triggered : Bool = false) #
def self.create_resume_event(fiber) #
def self.resume #